"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeSnippet = mergeSnippet;

function mergeSnippet(snippets) {
  return snippets.reduce((bodyRecord, snippet) => {
    for (const [snippetName, item] of Object.entries(snippet)) {
      if (bodyRecord[snippetName]) {
        throw Error(`Duplicate snippet name ${snippetName}`);
      }

      bodyRecord[snippetName] = Array.isArray(item.body) ? item.body : [item.body];
    }

    return bodyRecord;
  }, {});
}