export interface SnippetItem {
  prefix: string[] | string;
  body: string[] | string;
  description?: string;
  scope?: string;
}
export interface Snippet {
  [key: string]: SnippetItem;
}
export interface ExtraFields {
  tabstops: {
    [key: number]: string[];
  };
  customVar: Record<string, string | ((...args: any[]) => string)>;
}
export interface ExtraSnippetItem extends SnippetItem {
  body: string[];
  extra?: ExtraFields;
}
export interface ExtraSnippet {
  [key: string]: ExtraSnippetItem;
}
export declare type BodyRecord = Record<string, string[]>;
export declare type TabstopsRecord = Record<string, Record<number, number>>;
export declare type CustomVarRecord = ExtraFields['customVar'];